package controller;

/**
 * Defines the movements an agent is able to make
 * @author sjoerdlagarde
 */
public class AgentMovement {
    
    public static enum Move { CENTER, UP, DOWN, LEFT, RIGHT };
    
    /**
     * Returns the movement in the x/y direction
     * @param movement The movement to execute
     * @return The increase or decrease in the x and y-direction, respectively
     */
    public static int[] getAgentMovement(Move movement) {
        int[] move = new int[]{0,0};
        switch ( movement ) {
            case UP:
                move[1]-=1;
                break;
            case DOWN:
                move[1]+=1;
                break;
            case LEFT: 
                move[0]-=1;
                break;
            case RIGHT:
                move[0]+=1;
                break;
                
            default:            // Default: no movement
                break;
        }
        
        return move;
    }
    
}
