package model;

import java.awt.Color;
import view.WorldObjectDrawer;

/**
 *
 * @author sjoerdlagarde
 */
public class AgentObject extends WorldObject {

    private WorldObject currentObject;
    
    public AgentObject() {
        currentObject = null;
    }
    
    @Override
    public String getName() {
        return "Agent";
    }
    
    @Override
    public boolean blocksLocation() {
        return false;
    }

    @Override
    public void drawObject(WorldObjectDrawer drawer) {
        if ( currentObject != null )
            currentObject.drawObject(drawer);       // Draw object the agent is standing on
        drawer.drawImage("images/robot.png", Color.red);
    }
    
    /**
     * Sets the object the agent is currently standing on
     * @param object The object the agent is currently on
     */
    public void setCurrentObject(WorldObject object) {
        currentObject = object;
    }
    
    /**
     * Returns the object the agent is currently standing on
     * @return The object the agent is currently on
     */
    public WorldObject getCurrentObject() {
        return currentObject;
    }
    
}
