package view;

import java.util.LinkedList;
import java.util.Queue;

/**
 *
 * @author sjoerdlagarde
 */
public class ModelMessagesQueue {
    
    private static ModelMessagesQueue instance = null;
    
    private Queue<String> messages;
    
    private ModelMessagesQueue() {
        messages = new LinkedList<String>();
    }
    
    public static ModelMessagesQueue getInstance() {
        if ( instance == null )
            instance = new ModelMessagesQueue();
        return instance;
    }
    
    /**
     * Adds a message to the queue of messages
     * @param message The message to add
     */
    public void addMessage(String message) {
        messages.add(message);
    }
    
    /**
     * Returns a message from the queue (FIFO)
     * @return A message or null when the queue is empty
     */
    public String getMessage() {
        return messages.poll();
    }
    
    /**
     * Returns the size of the queue
     * @return The size of the queue
     */
    public int size() {
        return messages.size();
    }
    
    /**
     * Returns whether or not the queue is empty
     * @return True when the queue is empty, false otherwise
     */
    public boolean isEmpty() {
        return messages.isEmpty();
    }
    
}
