package view;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.util.Observable;
import java.util.Observer;
import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import model.WorldModel;
import world.WorldConfiguration;

/**
 *
 * @author sjoerdlagarde
 */
public class ModelTab extends JPanel implements Observer {
    private static final long serialVersionUID = 1L;

    private WorldModel model;
    private JTextArea modelMsgs;
    
    public ModelTab(WorldModel model) {
        this.model = model;
        
        modelMsgs = new JTextArea();
        JScrollPane areaScrollPane = new JScrollPane(modelMsgs);
        areaScrollPane.setVerticalScrollBarPolicy(
                        JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        Dimension dimension = WorldConfiguration.frameDimension;
        int padding = WorldConfiguration.gridPadding;
        areaScrollPane.setPreferredSize(new Dimension(dimension.width-padding,dimension.height-padding));
        areaScrollPane.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                                BorderFactory.createTitledBorder(BorderFactory.createEmptyBorder(2,2,2,2), "Model messages"),
                                BorderFactory.createEmptyBorder(5,5,5,5)),
                areaScrollPane.getBorder()));

        modelMsgs.setEditable(false);
        this.add(areaScrollPane);          
    }
    
    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);  
        this.setBackground(Color.white);        
    }
    
    @Override
    public void update(Observable o, Object arg) {
        ModelMessagesQueue queue = ModelMessagesQueue.getInstance();
        String msg = queue.getMessage();
        while (msg != null) {
            modelMsgs.insert(msg+"\n", 0);
            modelMsgs.setCaretPosition(0);
            msg = queue.getMessage();
        }
    }
    
}
