package view;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.GridLayout;
import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import model.WorldModel;
import world.WorldConfiguration;

/**
 *
 * @author sjoerdlagarde
 */
public class StatusPanel extends JPanel {
    private static final long serialVersionUID = 1L;
    
    private WorldModel model;
    private JTextArea statusArea;
    
    public StatusPanel(WorldModel model) {
        this.model = model;
        
        int squareSize = WorldConfiguration.gridSquareSize;
        int[] dimensions = model.getWorldDimensions();
        
        this.setLayout(new GridLayout(1,1));
        int preferredSizeY = WorldConfiguration.frameDimension.height-WorldConfiguration.gridPadding;  
        
        statusArea = new JTextArea();
        JScrollPane areaScrollPane = new JScrollPane(statusArea);
        areaScrollPane.setVerticalScrollBarPolicy(
                        JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        areaScrollPane.setPreferredSize(new Dimension(250, preferredSizeY));
        areaScrollPane.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                                BorderFactory.createTitledBorder(BorderFactory.createEmptyBorder(2,2,2,2), "Status"),
                                BorderFactory.createEmptyBorder(5,5,5,5)),
                areaScrollPane.getBorder()));

        statusArea.setEditable(false);
        this.add(areaScrollPane);        
    }
    
    @Override
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
    }
    
    /**
     * Sets the status message to be displayed
     * @param message The message to be displayed
     */
    public void setMessage(String message) {
        statusArea.insert("> "+message+"\n", 0);
        statusArea.setCaretPosition(0);
    }
}
