package view;

import java.awt.Color;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import javax.swing.JPanel;
import model.WorldModel;

/**
 *
 * @author sjoerdlagarde
 */
public class WorldTab extends JPanel {
    private static final long serialVersionUID = 1L;

    private WorldPanel worldPanel;
    private StatusPanel statusPanel;
    
    public WorldTab(WorldModel model) {
        worldPanel = new WorldPanel(model);
        statusPanel = new StatusPanel(model);
        model.addObserver(worldPanel);
        
        GridBagConstraints c1 = new GridBagConstraints();
        GridBagConstraints c2 = new GridBagConstraints();       
        
        worldPanel.setBackground(Color.WHITE);
        statusPanel.setBackground(Color.WHITE);
        setLayout(new GridBagLayout());
        setBackground(Color.WHITE);
        
        this.add(worldPanel, c1);
        this.add(statusPanel, c2);
    }
    
    /**
     * Sets a status message
     * @param message The message
     */
    public void setStatusMessage(String message) {
        statusPanel.setMessage(message);
    }
    
    /**
     * Returns the view of the world
     * @return The world panel
     */
    public WorldPanel getWorldView() {
        return worldPanel;
    }
    
    /**
     * Returns the view of the status messages
     * @return The status messages panel
     */
    public StatusPanel getStatusView() {
        return statusPanel;
    }
}
