package world;

import java.awt.Dimension;

/**
 *
 * @author sjoerdlagarde
 */
public class WorldConfiguration {
    
    public static Dimension frameDimension = new Dimension(800,600);
    public static int gridSquareSize = 50;      // Size of squares of grid in pixels
    public static int gridPadding = 20;         // Padding of grid in pixels
    
    public WorldConfiguration() {
        
    }
    
    /**
     * Sets the dimension of the frame
     * @param dimension The dimension
     */
    public void setFrameDimension(Dimension dimension) {
        frameDimension = dimension;
    }
    
    /**
     * Sets the dimension of the frame 
     * @param width The width of the frame
     * @param height The height of the frame
     */
    public void setFrameDimension(int width, int height) {
        setFrameDimension(new Dimension(width, height));
    }
    
    /**
     * Returns the dimension of the frame
     * @return The dimension
     */
    public Dimension getFrameDimension() {
        return frameDimension;
    }
    
    /**
     * Sets the size of the squares of the grid
     * @param size The size in pixels
     */
    public void setGridSquareSize(int size) {
        gridSquareSize = size;
    }
    
    /**
     * Returns the size of the squares of the grid
     * @return The size of the squares in pixels
     */
    public int getGridSquareSize() {
        return gridSquareSize;
    }
    
    /**
     * Sets the padding of the grid
     * @param padding The padding of the grid in pixels
     */
    public void setGridPadding(int padding) {
        gridPadding = padding;
    }
    
    /**
     * Returns the padding of the grid
     * @return The padding of the grid in pixels
     */
    public int getGridPadding() {
        return gridPadding;
    }
    
    
}
