package world;

import controller.WorldController;
import model.WorldModel;
import view.ModelView;

/**
 * Sets up the MVC structure
 * @author sjoerdlagarde
 */
public class WorldFactory {
    
    WorldModel model;
    ModelView view;
    WorldController controller;
    
    public WorldFactory(int width, int height, int agents) {
        model = new WorldModel(width, height, agents);
        view = new ModelView(model);
        controller = new WorldController(model, view);
    }
    
    /**
     * Returns the model
     * @return The model
     */
    public WorldModel getModel() {
        return model;
    }
    
    /**
     * Returns the view
     * @return The view
     */
    public ModelView getView() {
        return view;
    }
    
    /**
     * Returns the controller
     * @return The controller
     */
    public WorldController getController() {
        return controller;
    }
    
}
